> For the complete documentation index, see [llms.txt](https://docs.v3.88mph.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.v3.88mph.app/developer-docs/smart-contract-references/zerocouponbond.md).

# ZeroCouponBond

## `mint(uint256 depositAmount) → uint256 mintedAmount` (external) <a href="#mint-uint256-depositamount-uint256-mintedamount-external" id="mint-uint256-depositamount-uint256-mintedamount-external"></a>

Mint zero coupon bonds by depositing `depositAmount` stablecoins. @param depositAmount The amount to deposit for minting zero coupon bonds @return mintedAmount The amount of bonds minted

## `withdrawDeposit()` (external) <a href="#withdrawdeposit-external" id="withdrawdeposit-external"></a>

Withdraws the underlying deposit from the DInterest pool.

## `redeem(uint256 amount, bool withdrawDepositIfNeeded)` (external) <a href="#redeem-uint256-amount-bool-withdrawdepositifneeded-external" id="redeem-uint256-amount-bool-withdrawdepositifneeded-external"></a>

Redeems zero coupon bonds 1-for-1 for the underlying stablecoins. @param amount The amount of zero coupon bonds to burn @param withdrawDepositIfNeeded True if withdrawDeposit() should be called if needed, false otherwise (to save gas)

## `withdrawDepositNeeded() → bool` (external) <a href="#withdrawdepositneeded-bool-external" id="withdrawdepositneeded-bool-external"></a>

Checks whether withdrawDeposit() needs to be called. @return True if withdrawDeposit() should be called, false otherwise.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.v3.88mph.app/developer-docs/smart-contract-references/zerocouponbond.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
